package com.zzsn.orc.exception;

import java.io.PrintStream;

/**
 * 项目exception父类
 * @author JacqiShi
 *
 */
public class PicParseException extends Exception {
	
	private static final long serialVersionUID = -8496874599235955960L;
	
	protected Exception excp;
	
	public PicParseException()
	{
		super();
		excp = new Exception();
	}
	public PicParseException(Exception e)
	{
		excp = e;
	}
	
	public void printStackTrace(PrintStream ps)
	{
		super.printStackTrace(ps);
		excp.printStackTrace(ps);
	}
	
	public void printStackTrace()
	{
		super.printStackTrace();
		excp.printStackTrace();
	}

}
